using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebControlLibrary1
{
	[DefaultProperty("Text")]
	[ToolboxData("<{0}:LabelTextBox runat=server></{0}:LabelTextBox>")]
	public class LabelTextBox : TextBox
	{
		public enum CaptionPositions
		{
			Side, Over
		}		
		
		private string mCaption = "Label";
		private CaptionPositions mCaptionPosition = CaptionPositions.Side;

		public CaptionPositions CaptionPosition
		{
			get { return mCaptionPosition; }
			set { mCaptionPosition = value; }
		}

		[DefaultValue("Label")]
		public string Caption
		{
			get { return mCaption; }
			set { mCaption = value; }
		}

		protected override void Render(HtmlTextWriter output)
		{
			output.WriteFullBeginTag("span");
			output.Write(mCaption + " ");
			output.WriteEndTag("span");
			if (mCaptionPosition == CaptionPositions.Over)
				output.WriteBreak();
			base.Render(output);
		}
	}
}
